### Enumeration

# GWeather TemperatureUnit

#### Declaration

    enum GWeather.TemperatureUnit

#### Description [src]

The measure unit to use for temperature values, when retrieved by the `gweather_info_get_value_temp()` family of functions.

#### Members

`GWEATHER_TEMP_UNIT_INVALID`

  Invalid unit.

  - Value: `0`
  - Available since: 4.0
`GWEATHER_TEMP_UNIT_DEFAULT`

  The user preferred temperature unit.

  - Value: `1`
  - Available since: 4.0
`GWEATHER_TEMP_UNIT_KELVIN`

  Kelvin (absolute) temperature scale.

  - Value: `2`
  - Available since: 4.0
`GWEATHER_TEMP_UNIT_CENTIGRADE`

  Celsius temperature scale.

  - Value: `3`
  - Available since: 4.0
`GWEATHER_TEMP_UNIT_FAHRENHEIT`

  Fahrenheit temperature scale.

  - Value: `4`
  - Available since: 4.0

#### Type functions

###### gweather_temperature_unit_to_real

Resolve `unit` into a real temperature unit, potentially considering locale defaults.